Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1424)

Issue 7220048: code review 7220048: archive/tar: Add reader and writer code example. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 11 months ago by u
Modified:
8 years, 11 months ago
Reviewers:
adg
CC:
golang-dev, minux1
Visibility:
Public.

Description

archive/tar: Add reader and writer code example. Remove the previous comment examples.

Patch Set 1 #

Patch Set 2 : diff -r 3a153f3d2680 https://code.google.com/p/go #

Patch Set 3 : diff -r 3a153f3d2680 https://code.google.com/p/go #

Patch Set 4 : diff -r 3a153f3d2680 https://code.google.com/p/go #

Patch Set 5 : diff -r 3a153f3d2680 https://code.google.com/p/go #

Total comments: 1

Patch Set 6 : diff -r 1af88804d685 https://code.google.com/p/go #

Patch Set 7 : diff -r 1af88804d685 https://code.google.com/p/go #

Patch Set 8 : diff -r 31c77e1e8711 https://code.google.com/p/go #

Patch Set 9 : diff -r 31c77e1e8711 https://code.google.com/p/go #

Patch Set 10 : diff -r 31c77e1e8711 https://code.google.com/p/go #

Patch Set 11 : diff -r 31c77e1e8711 https://code.google.com/p/go #

Total comments: 4

Patch Set 12 : diff -r 445186a20cee https://code.google.com/p/go #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+75 lines, -25 lines) Patch
A src/pkg/archive/tar/example_test.go View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +75 lines, -0 lines 1 comment Download
M src/pkg/archive/tar/reader.go View 1 1 chunk +0 lines, -14 lines 0 comments Download
M src/pkg/archive/tar/writer.go View 1 4 5 1 chunk +0 lines, -11 lines 0 comments Download

Messages

Total messages: 21
u
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go
8 years, 11 months ago (2013-01-26 16:26:57 UTC) #1
u
Hello golang-dev@googlegroups.com (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 11 months ago (2013-01-26 16:35:13 UTC) #2
u
Hello golang-dev@googlegroups.com (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 11 months ago (2013-01-26 16:37:06 UTC) #3
u
First I added an example for tar.Writer as well, but removed it in favor of ...
8 years, 11 months ago (2013-01-26 17:05:19 UTC) #4
minux1
On Sun, Jan 27, 2013 at 1:05 AM, <r.eklind.87@gmail.com> wrote: > First I added an ...
8 years, 11 months ago (2013-01-26 19:01:23 UTC) #5
adg
https://codereview.appspot.com/7220048/diff/1002/src/pkg/archive/tar/example_test.go File src/pkg/archive/tar/example_test.go (right): https://codereview.appspot.com/7220048/diff/1002/src/pkg/archive/tar/example_test.go#newcode11 src/pkg/archive/tar/example_test.go:11: func ExampleReader() { We could make this example self-contained ...
8 years, 11 months ago (2013-01-29 04:21:48 UTC) #6
u
Hello golang-dev@googlegroups.com, minux.ma@gmail.com, adg@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 11 months ago (2013-01-31 03:10:33 UTC) #7
u
Hello golang-dev@googlegroups.com, minux.ma@gmail.com, adg@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 11 months ago (2013-01-31 03:15:17 UTC) #8
u
On 2013/01/29 04:21:48, adg wrote: > https://codereview.appspot.com/7220048/diff/1002/src/pkg/archive/tar/example_test.go > File src/pkg/archive/tar/example_test.go (right): > > https://codereview.appspot.com/7220048/diff/1002/src/pkg/archive/tar/example_test.go#newcode11 > ...
8 years, 11 months ago (2013-01-31 03:17:41 UTC) #9
adg
Actually I was thinking that we should avoid relying on testdata/ files altogether, so that ...
8 years, 11 months ago (2013-01-31 04:46:46 UTC) #10
minux1
On Thursday, January 31, 2013, Andrew Gerrand wrote: > Actually I was thinking that we ...
8 years, 11 months ago (2013-01-31 08:34:16 UTC) #11
u
Hello golang-dev@googlegroups.com, minux.ma@gmail.com, adg@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 11 months ago (2013-01-31 16:32:05 UTC) #12
u
On 2013/01/31 16:32:05, u wrote: > Hello mailto:golang-dev@googlegroups.com, mailto:minux.ma@gmail.com, mailto:adg@golang.org (cc: > mailto:golang-dev@googlegroups.com), > > ...
8 years, 11 months ago (2013-01-31 16:33:39 UTC) #13
u
Hello golang-dev@googlegroups.com, minux.ma@gmail.com, adg@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 11 months ago (2013-01-31 16:51:08 UTC) #14
u
The examples are now more consistent with the zip examples. The zip example is split ...
8 years, 11 months ago (2013-01-31 16:53:05 UTC) #15
adg
https://codereview.appspot.com/7220048/diff/8008/src/pkg/archive/tar/example_test.go File src/pkg/archive/tar/example_test.go (right): https://codereview.appspot.com/7220048/diff/8008/src/pkg/archive/tar/example_test.go#newcode28 src/pkg/archive/tar/example_test.go:28: hdr := new(tar.Header) hdr := &tar.Header{ Name: file.Name, Size: ...
8 years, 11 months ago (2013-01-31 23:55:05 UTC) #16
u
Hello golang-dev@googlegroups.com, minux.ma@gmail.com, adg@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
8 years, 11 months ago (2013-02-01 06:05:15 UTC) #17
adg
LGTM
8 years, 11 months ago (2013-02-04 01:35:18 UTC) #18
adg
*** Submitted as https://code.google.com/p/go/source/detail?r=a8d940d69a3e *** archive/tar: Add reader and writer code example. Remove the previous ...
8 years, 11 months ago (2013-02-04 01:37:27 UTC) #19
mikio
https://codereview.appspot.com/7220048/diff/19001/src/pkg/archive/tar/example_test.go File src/pkg/archive/tar/example_test.go (right): https://codereview.appspot.com/7220048/diff/19001/src/pkg/archive/tar/example_test.go#newcode1 src/pkg/archive/tar/example_test.go:1: package tar_test copyright?
8 years, 11 months ago (2013-02-04 03:26:24 UTC) #20
u
8 years, 11 months ago (2013-02-22 08:11:12 UTC) #21
Message was sent while issue was closed.
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b